## liblingua-en-words2nums-perl 0.14

=== Makefile ===
# This Makefile is for the Lingua::EN::Words2Nums extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.17 (Revision: 1.133) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     ABSTRACT_FROM => q[Words2Nums.pm]
#     AUTHOR => q[Joey Hess <joey@kitenet.net>]
#     NAME => q[Lingua::EN::Words2Nums]
#     PM_FILTER => q[grep -v "NOT IN PRODUCTION CODE"]
#     VERSION => q[0.13]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.8.2/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.3.2.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.4.22-xfs+ti1211
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.8.2
SITEARCHEXP = /usr/local/lib/perl/5.8.2
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar
VENDORARCHEXP = /usr/lib/perl5
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
NAME = Lingua::EN::Words2Nums
NAME_SYM = Lingua_EN_Words2Nums
VERSION = 0.13
VERSION_MACRO = VERSION
VERSION_SYM = 0_13
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.13
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = /usr
PERLPREFIX = $(PREFIX)
SITEPREFIX = $(PREFIX)/local
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PERLPREFIX)/share/perl/5.8.2
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.8.2
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = $(PERLPREFIX)/lib/perl/5.8.2
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.8.2
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(PERLPREFIX)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(SITEPREFIX)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(PERLPREFIX)/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLMAN1DIR = $(PERLPREFIX)/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(PERLPREFIX)/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.8.2
PERL_ARCHLIB = /usr/lib/perl/5.8.2
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = $(FIRST_MAKEFILE).old
MAKE_APERL_FILE = $(FIRST_MAKEFILE).aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.8.2/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.8.2/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.17
MM_REVISION = 1.133

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = Lingua/EN/Words2Nums
BASEEXT = Words2Nums
PARENT_NAME = Lingua::EN
DLBASE = $(BASEEXT)
VERSION_FROM = 
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
PM_FILTER = grep -v "NOT IN PRODUCTION CODE"

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = Words2Nums.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DIRFILESEP)Config.pm $(PERL_INC)$(DIRFILESEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/Lingua/EN
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/Lingua/EN

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = Words2Nums.pm

PM_TO_BLIB = Words2Nums.pm \
	$(INST_LIB)/Lingua/EN/Words2Nums.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 1.42
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)'



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(SHELL) -c true
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(PERLRUN) "-MExtUtils::Command" -e mkpath
EQUALIZE_TIMESTAMP = $(PERLRUN) "-MExtUtils::Command" -e eqtime
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(PERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');'
DOC_INSTALL = $(PERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
UNINSTALL = $(PERLRUN) "-MExtUtils::Command::MM" -e uninstall
WARN_IF_OLD_PACKLIST = $(PERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist


# --- MakeMaker makemakerdflt section:
makemakerdflt: all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = Lingua-EN-Words2Nums
DISTVNAME = Lingua-EN-Words2Nums-0.13


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES: .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) $(INST_LIBDIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

config :: $(INST_ARCHAUTODIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

config :: $(INST_AUTODIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)

$(INST_AUTODIR)/.exists :: /usr/lib/perl/5.8.2/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.2/CORE/perl.h $(INST_AUTODIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/lib/perl/5.8.2/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.2/CORE/perl.h $(INST_LIBDIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/lib/perl/5.8.2/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.2/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN3DIR)$(DIRFILESEP).exists
	$(NOECHO) $(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/lib/perl/5.8.2/CORE/perl.h
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.2/CORE/perl.h $(INST_MAN3DIR)/.exists

	-$(NOECHO) $(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

help:
	perldoc ExtUtils::MakeMaker


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(INST_DYNAMIC) $(INST_BOOT)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:

POD2MAN_EXE = $(PERLRUN) "-MExtUtils::Command::MM" -e pod2man "--"
POD2MAN = $(POD2MAN_EXE)


manifypods : pure_all  \
	Words2Nums.pm \
	Words2Nums.pm
	$(NOECHO) $(POD2MAN) --section=3 --perm_rw=$(PERM_RW)\
	  Words2Nums.pm $(INST_MAN3DIR)/Lingua::EN::Words2Nums.$(MAN3EXT) 




# --- MakeMaker processPL section:


# --- MakeMaker installbin section:


# --- MakeMaker subdirs section:

# none

# --- MakeMaker clean_subdirs section:
clean_subdirs :
	$(NOECHO) $(NOOP)


# --- MakeMaker clean section:

# Delete temporary files but do not touch installed files. We don't delete
# the Makefile here so a later make realclean still has a makefile to use.

clean :: clean_subdirs
	-$(RM_RF) ./blib $(MAKE_APERL_FILE) $(INST_ARCHAUTODIR)/extralibs.all $(INST_ARCHAUTODIR)/extralibs.ld perlmain.c tmon.out mon.out so_locations pm_to_blib *$(OBJ_EXT) *$(LIB_EXT) perl.exe perl perl$(EXE_EXT) $(BOOTSTRAP) $(BASEEXT).bso $(BASEEXT).def lib$(BASEEXT).def $(BASEEXT).exp $(BASEEXT).x core core.*perl.*.? *perl.core core.[0-9] core.[0-9][0-9] core.[0-9][0-9][0-9] core.[0-9][0-9][0-9][0-9] core.[0-9][0-9][0-9][0-9][0-9]
	-$(MV) $(FIRST_MAKEFILE) $(MAKEFILE_OLD) $(DEV_NULL)


# --- MakeMaker realclean_subdirs section:
realclean_subdirs :
	$(NOECHO) $(NOOP)


# --- MakeMaker realclean section:

# Delete temporary files (via clean) and also delete installed files
realclean purge ::  clean realclean_subdirs
	$(RM_RF) $(INST_AUTODIR) $(INST_ARCHAUTODIR)
	$(RM_RF) $(DISTVNAME)
	$(RM_F)  $(INST_LIB)/Lingua/EN/Words2Nums.pm $(MAKEFILE_OLD) $(FIRST_MAKEFILE)


# --- MakeMaker metafile section:
metafile :
	$(NOECHO) $(ECHO) '# http://module-build.sourceforge.net/META-spec.html' > META.yml
	$(NOECHO) $(ECHO) '#XXXXXXX This is a prototype!!!  It will change in the future!!! XXXXX#' >> META.yml
	$(NOECHO) $(ECHO) 'name:         Lingua-EN-Words2Nums' >> META.yml
	$(NOECHO) $(ECHO) 'version:      0.13' >> META.yml
	$(NOECHO) $(ECHO) 'version_from: ' >> META.yml
	$(NOECHO) $(ECHO) 'installdirs:  site' >> META.yml
	$(NOECHO) $(ECHO) 'requires:' >> META.yml
	$(NOECHO) $(ECHO) '' >> META.yml
	$(NOECHO) $(ECHO) 'distribution_type: module' >> META.yml
	$(NOECHO) $(ECHO) 'generated_by: ExtUtils::MakeMaker version 6.17' >> META.yml


# --- MakeMaker metafile_addtomanifest section:

## liblingua-en-words2nums-perl 0.16

=== debian/changelog ===
liblingua-en-words2nums-perl (0.16) unstable; urgency=low

  * The repository has moved from svn to git.
  * Minor improvement to debian/rules clean.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 22:21:04 -0400

liblingua-en-words2nums-perl (0.15) unstable; urgency=low

  * Update url to the web site.
  * Current standards-version (no real changes).
  * Fix unicode error in man page.
  * Fix lintian warning about rules file.

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Jun 2007 16:49:19 -0400

liblingua-en-words2nums-perl (0.14) unstable; urgency=low

  * Remove the tests that involve exponentents, as they may not on 64 bit
    machines, and will cause false test failures. Closes: #250610

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Jun 2004 15:09:13 -0300

liblingua-en-words2nums-perl (0.13) unstable; urgency=low

  * Remove quoting in Makefile.PL so it will build under 5.8.1 (this breaks
    building under earlier versions of perl though). Closes: #213928

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Oct 2003 19:49:19 -0400

liblingua-en-words2nums-perl (0.12) unstable; urgency=low

  * Move from build-depends-indep to build-depends to meet current policy.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Sep 2003 12:14:45 -0400

liblingua-en-words2nums-perl (0.11) unstable; urgency=low

  * Do not pass through things of the form "10-11", since they're note really
    numbers.
  * Fix testnum to work with library in same directory.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 May 2003 15:48:37 -0400

liblingua-en-words2nums-perl (0.10) unstable; urgency=low

  * Add proper spelling of "forty", and alternate "nought" spelling.
  * Make regression test work on win32, with exponents with leading zeroes.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 May 2003 01:34:11 -0400

liblingua-en-words2nums-perl (0.09) unstable; urgency=low

  * Corrected parsing of "fourth". Oops!
  * Moved pm file out of deep directory in source tarball, which was
    unnecessary for such a small package.
  * Added AUTHOR and ABSTRACT_FROM to Makefile.PL.
  * Accept douvigintillion, as well as dovigintillion; I don't know which is
    right.
  * Thanks to Erick Calder for his help.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Feb 2003 12:16:02 -0500

liblingua-en-words2nums-perl (0.08) unstable; urgency=low

  * Localize $_. 

 -- Joey Hess <joeyh@debian.org>  Fri, 18 Oct 2002 16:09:59 -0400

liblingua-en-words2nums-perl (0.07) unstable; urgency=low

  * Use debhelper v4. 

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 18:15:26 -0400

liblingua-en-words2nums-perl (0.06) unstable; urgency=low

  * Don't try to test for inf, since it seems "Infinity" is the string on some
    platforms.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 10:01:09 -0400

liblingua-en-words2nums-perl (0.05) unstable; urgency=low

  * Added big numbers between undecillion and trigintillion. Also
    centillion, and billiard through quindecilliard.

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Feb 2002 23:09:29 -0500

liblingua-en-words2nums-perl (0.04) unstable; urgency=low

  * Corrected parsing of otherwise plain numbers that have commas in them
    (123,456.789)

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jan 2002 17:33:22 -0500

liblingua-en-words2nums-perl (0.03) unstable; urgency=low

  * If the entire string is ignorables ("and", "a", punctuation), don't
    return 0, but undef.

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jan 2002 14:17:16 -0500

liblingua-en-words2nums-perl (0.02) unstable; urgency=low

  * Added support for trillion through googolplex, and added localization
    code for the different billions and other numbers.
  * Lots of bugfixes, including getting the ordinals right (I hope).

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Dec 2001 23:08:03 -0500

liblingua-en-words2nums-perl (0.01) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Dec 2001 14:23:03 -0500

=== debian/control ===
Source: liblingua-en-words2nums-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 4), perl5, dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.2
Vcs-Git: git://git.kitenet.net/alien

Package: liblingua-en-words2nums-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description: convert English text to numbers
 A perl module that can parse a wide variety of English text
 and deduce the number it represents. For example, it can convert
 "five million, one thousand and sixteen" to 5001016, and 
 "twenty-seventh" to 27.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	perl Makefile.PL INSTALLDIRS=vendor
	$(MAKE)
	$(MAKE) test
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	if [ -e Makefile ]; then $(MAKE) distclean; fi
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib
	$(MAKE) install PREFIX=`pwd`/debian/`dh_listpackages`/usr

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs README TODO
	dh_installexamples samples
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/words2nums/news

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## liblingua-en-words2nums-perl 0.17

=== debian/changelog ===
liblingua-en-words2nums-perl (0.17) unstable; urgency=low

  * Use debhelper v7; rules file minimisation.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:29:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: liblingua-en-words2nums-perl
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 4), perl5, dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 7), perl5, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.2
-Vcs-Git: git://git.kitenet.net/alien
+Standards-Version: 3.8.0
+Vcs-Git: git://git.kitenet.net/words2nums
+Homepage: http://kitenet.net/~joey/code/words2nums/
 
 Package: liblingua-en-words2nums-perl
 Architecture: all

## liblingua-en-words2nums-perl 0.19

=== debian/changelog ===
liblingua-en-words2nums-perl (0.19-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + liblingua-en-words2nums-perl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 18:26:27 +0100

liblingua-en-words2nums-perl (0.19-3) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 15 Jun 2022 15:19:09 +0100

liblingua-en-words2nums-perl (0.19-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 16:37:41 +0100

liblingua-en-words2nums-perl (0.19-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on perl instead of perl5. (Closes: #786679)
  * Remove unused private target from debian/rules.
  * Bump debhelper compatibility level to 9.
  * debian/copyright: update short and long license information.
  * Drop explicit build dependency on dpkg-dev.
    The needed version is provided since long enough, and the package is
    build-essential.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 May 2015 13:50:43 +0200

liblingua-en-words2nums-perl (0.19-1) unstable; urgency=medium

  * Take over for the Debian Perl Group; Closes: #768520 -- ITA
  * debian/control: Added: Vcs-Browser field (source stanza). Changed:
    Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Debian QA Group
    <packages@qa.debian.org>); Put myself in Uploaders.
  * Add debian/watch.
  * Point Vcs-* to pkg-perl repositorry
  * Convert to non-native package
  * use source format "3.0 (quilt)"
  * add support for automatic regression testing
  * declare conformance with Policy 3.9.6
  * clarify GPL version in debian/copyright
  * add debian/upstream/metadata

 -- Damyan Ivanov <dmn@debian.org>  Wed, 12 Nov 2014 08:41:35 +0000

liblingua-en-words2nums-perl (0.19) unstable; urgency=medium

  * Orphaning the Debian package.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Nov 2014 22:00:12 -0400

liblingua-en-words2nums-perl (0.18) unstable; urgency=low

  * Remove the PM_FILTER to support Windows. (rt.cpan.org #38101)

 -- Joey Hess <joeyh@debian.org>  Fri, 05 Feb 2010 16:42:32 -0500

=== debian/control ===
Source: liblingua-en-words2nums-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               perl
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/liblingua-en-words2nums-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/liblingua-en-words2nums-perl.git
Homepage: https://kitenet.net/~joey/code/words2nums/

Package: liblingua-en-words2nums-perl
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: convert English text to numbers
 A perl module that can parse a wide variety of English text
 and deduce the number it represents. For example, it can convert
 "five million, one thousand and sixteen" to 5001016, and
 "twenty-seventh" to 27.

=== debian/watch ===
version=4
https://metacpan.org/release/Lingua-EN-Words2Nums  .*/Lingua-EN-Words2Nums-v?@ANY_VERSION@@ARCHIVE_EXT@$
